# PhasicFlow: Field< VectorField, T, PropType > Class Template Reference

Field< VectorField, T, PropType > Class Template Reference
Inheritance diagram for Field< VectorField, T, PropType >:
[legend]
Collaboration diagram for Field< VectorField, T, PropType >:
[legend]

## Public Types

using | VectorType = VectorField< T, PropType >
using | FieldType = Field< VectorField, T, PropType >
using | iterator = typename VectorType::iterator
using | constIterator = typename VectorType::constIterator
using | reference = typename VectorType::reference
using | constReference = typename VectorType::constReference
using | valueType = typename VectorType::valueType
using | pointer = typename VectorType::pointer
using | constPointer = typename VectorType::constPointer

## Public Member Functions

| TypeInfoTemplateNV2 ("Field", T, VectorType::memoerySpaceName())
| Field ()
| Field (const word &fieldKey)
| Field (const word &name, const word &fieldKey)
| Field (size_t len)
| Field (const word &fieldKey, size_t len)
| Field (const word &name, const word &fieldKey, size_t len)
| Field (size_t len, const T &val)
| Field (const word &fieldKey, size_t len, const T &val)
| Field (const word &name, const word &fieldKey, size_t len, const T &val)
| Field (size_t capacity, size_t len, RESERVE)
| Field (const word &fieldKey, size_t capacity, size_t len, RESERVE)
| Field (const word &name, const word &fieldKey, size_t capacity, size_t len, RESERVE)
| Field (const Vector< T > &vec)
| Field (const word &fieldKey, const Vector< T > &vec)
| Field (const word &name, const word &fieldKey, const Vector< T > &vec)
| Field (const word &name, const word &fieldKey, const FieldType &src)
| Field (const FieldType &)=default
FieldType & | operator= (const FieldType &)=default
| Field (FieldType &&)=delete
FieldType & | operator= (FieldType &&)=delete
INLINE_FUNCTION_H uniquePtr< FieldType > | clone () const
INLINE_FUNCTION_H FieldType * | clonePtr () const
const word & | fieldKey () const
bool | readField (iIstream &is, const size_t len, bool readLength=true)
bool | readField (iIstream &is)
bool | writeField (iOstream &os) const
bool | read (iIstream &is)
bool | write (iOstream &os) const

## Protected Member Functions

bool | readUniform (iIstream &is, size_t len, bool readLength=true)
bool | readNonUniform (iIstream &is, size_t len)

## Protected Attributes

const word | fieldKey_ = FKey

## Static Protected Attributes

static const word | FKey = "value"

## Detailed Description

### template<template< class, class > class VectorField, class T, class PropType = void>
class pFlow::Field< VectorField, T, PropType >

Definition at line 33 of file Field.hpp.

## Member Typedef Documentation

## VectorType

using VectorType = VectorField<T,PropType>

Definition at line 40 of file Field.hpp.

## FieldType

using FieldType = Field<VectorField, T, PropType>

Definition at line 42 of file Field.hpp.

## iterator

using iterator = typename VectorType::iterator

Definition at line 44 of file Field.hpp.

## constIterator

using constIterator = typename VectorType::constIterator

Definition at line 46 of file Field.hpp.

## reference

using reference = typename VectorType::reference

Definition at line 48 of file Field.hpp.

## constReference

using constReference = typename VectorType::constReference

Definition at line 50 of file Field.hpp.

## valueType

using valueType = typename VectorType::valueType

Definition at line 52 of file Field.hpp.

## pointer

using pointer = typename VectorType::pointer

Definition at line 54 of file Field.hpp.

## constPointer

using constPointer = typename VectorType::constPointer

Definition at line 56 of file Field.hpp.

## Constructor & Destructor Documentation

## Field() [1/18]

Field | ( |  | ) |

inline

Definition at line 77 of file Field.hpp.

## Field() [2/18]

Field | ( | const word & | fieldKey | ) |

inline

Definition at line 83 of file Field.hpp.

## Field() [3/18]

Field | ( | const word & | name,
|  | const word & | fieldKey
| ) |  |

inline

Definition at line 90 of file Field.hpp.

## Field() [4/18]

Field | ( | size_t | len | ) |

inline

Definition at line 97 of file Field.hpp.

## Field() [5/18]

Field | ( | const word & | fieldKey,
|  | size_t | len
| ) |  |

inline

Definition at line 103 of file Field.hpp.

## Field() [6/18]

Field | ( | const word & | name,
|  | const word & | fieldKey,
|  | size_t | len
| ) |  |

inline

Definition at line 110 of file Field.hpp.

## Field() [7/18]

Field | ( | size_t | len,
|  | const T & | val
| ) |  |

inline

Definition at line 117 of file Field.hpp.

## Field() [8/18]

Field | ( | const word & | fieldKey,
|  | size_t | len,
|  | const T & | val
| ) |  |

inline

Definition at line 123 of file Field.hpp.

## Field() [9/18]

Field | ( | const word & | name,
|  | const word & | fieldKey,
|  | size_t | len,
|  | const T & | val
| ) |  |

inline

Definition at line 130 of file Field.hpp.

## Field() [10/18]

Field | ( | size_t | capacity,
|  | size_t | len,
|  | RESERVE |
| ) |  |

inline

Definition at line 137 of file Field.hpp.

## Field() [11/18]

Field | ( | const word & | fieldKey,
|  | size_t | capacity,
|  | size_t | len,
|  | RESERVE |
| ) |  |

inline

Definition at line 143 of file Field.hpp.

## Field() [12/18]

Field | ( | const word & | name,
|  | const word & | fieldKey,
|  | size_t | capacity,
|  | size_t | len,
|  | RESERVE |
| ) |  |

inline

Definition at line 150 of file Field.hpp.

## Field() [13/18]

Field | ( | const Vector< T > & | vec | ) |

inline

Definition at line 157 of file Field.hpp.

## Field() [14/18]

Field | ( | const word & | fieldKey,
|  | const Vector< T > & | vec
| ) |  |

inline

Definition at line 163 of file Field.hpp.

## Field() [15/18]

Field | ( | const word & | name,
|  | const word & | fieldKey,
|  | const Vector< T > & | vec
| ) |  |

inline

Definition at line 170 of file Field.hpp.

## Field() [16/18]

Field | ( | const word & | name,
|  | const word & | fieldKey,
|  | const FieldType & | src
| ) |  |

inline

Definition at line 178 of file Field.hpp.

## Field() [17/18]

Field | ( | const FieldType & |  | ) |

default

## Field() [18/18]

Field | ( | FieldType && |  | ) |

delete

## Member Function Documentation

## readUniform()

bool readUniform | ( | iIstream & | is,
|  | size_t | len,
|  | bool | readLength = `true`
| ) |  |

protected

Definition at line 23 of file Field.cpp.

## readNonUniform()

bool readNonUniform | ( | iIstream & | is,
|  | size_t | len
| ) |  |

protected

Definition at line 62 of file Field.cpp.

## TypeInfoTemplateNV2()

TypeInfoTemplateNV2 | ( | "Field< VectorField, T, PropType >" | ,
|  | T | ,
|  | VectorType::memoerySpaceName() |
| ) |  |

## operator=() [1/2]

FieldType& operator= | ( | const FieldType & |  | ) |

default

## operator=() [2/2]

FieldType& operator= | ( | FieldType && |  | ) |

delete

## clone()

INLINE_FUNCTION_H uniquePtr<FieldType> clone | ( |  | ) | const

inline

Definition at line 197 of file Field.hpp.

## clonePtr()

INLINE_FUNCTION_H FieldType* clonePtr | ( |  | ) | const

inline

Definition at line 204 of file Field.hpp.

## fieldKey()

const word& fieldKey | ( |  | ) | const

inline

Definition at line 211 of file Field.hpp.

## readField() [1/2]

bool readField | ( | iIstream & | is,
|  | const size_t | len,
|  | bool | readLength = `true`
| ) |  |

Definition at line 104 of file Field.cpp.

Referenced by pFlow::operator>>(), and Field< VectorDual, int8 >::read().

Here is the caller graph for this function:

## readField() [2/2]

bool readField | ( | iIstream & | is | ) |

Definition at line 154 of file Field.cpp.

## writeField()

bool writeField | ( | iOstream & | os | ) | const

Definition at line 163 of file Field.cpp.

Referenced by pFlow::operator<<(), and Field< VectorDual, int8 >::write().

Here is the caller graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

inline

Definition at line 226 of file Field.hpp.

## write()

bool write | ( | iOstream & | os | ) | const

inline

Definition at line 231 of file Field.hpp.

## Member Data Documentation

## FKey

const word FKey = "value"

inlinestaticprotected

Definition at line 61 of file Field.hpp.

## fieldKey_

const word fieldKey_ = FKey

protected

Definition at line 63 of file Field.hpp.

Referenced by Field< VectorDual, int8 >::fieldKey().

The documentation for this class was generated from the following files:

- src/phasicFlow/containers/Field/Field.hpp
- src/phasicFlow/containers/Field/Field.cpp